Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AnswerCallbackQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AnswerCallbackQuery

Enclosing class:
  TdApi

public static final class TdApi.AnswerCallbackQuery extends TdApi.Function<TdApi.Ok>
Sets the result of a callback query; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`cacheTime`
Time during which the result of the query can be cached, in seconds.
`long`
`callbackQueryId`
Identifier of the callback query.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`showAlert`
Pass true to show an alert to the user instead of a toast notification.
`String`
`text`
Text of the answer.
`String`
`url`
URL to be opened.

## Constructor Summary

Constructors
Constructor
Description
`AnswerCallbackQuery()`
Sets the result of a callback query; for bots only.
`AnswerCallbackQuery(long callbackQueryId, String text, boolean showAlert, String url, int cacheTime)`
Sets the result of a callback query; for bots only.
`AnswerCallbackQuery(DataInput input)`
Sets the result of a callback query; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callbackQueryId

public long callbackQueryId
Identifier of the callback query.

### text

public String text
Text of the answer.

### showAlert

public boolean showAlert
Pass true to show an alert to the user instead of a toast notification.

### url

public String url
URL to be opened.

### cacheTime

public int cacheTime
Time during which the result of the query can be cached, in seconds.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AnswerCallbackQuery

public AnswerCallbackQuery()
Sets the result of a callback query; for bots only.

Returns `Ok`

### AnswerCallbackQuery

public AnswerCallbackQuery(long callbackQueryId, String text, boolean showAlert, String url, int cacheTime)
Sets the result of a callback query; for bots only.

Returns `Ok`

Parameters:
  `callbackQueryId` - Identifier of the callback query.
  `text` - Text of the answer.
  `showAlert` - Pass true to show an alert to the user instead of a toast notification.
  `url` - URL to be opened.
  `cacheTime` - Time during which the result of the query can be cached, in seconds.

  Returns `Ok`

### AnswerCallbackQuery

public AnswerCallbackQuery(DataInput input) throws IOException
Sets the result of a callback query; for bots only.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`